Get task reports
Get reports associated with a specific task.
Authorization
auth ApiKey JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Path Parameters
The ID of the task.
uuidQuery Parameters
Sort by field name (optional). Supported fields: "name", "description", "type", "format"
Task report name used for filtering. Optional filter operators can be applied to refine the search:
- equal (default)
- contains
- startswith
- endswith
Task report description used for filtering. Optional filter operators can be applied to refine the search:
- equal (default)
- contains
- startswith
- endswith
Task report type used for filtering. Optional filter operators can be applied to refine the search:
- equal (default)
- contains
- startswith
- endswith
Page number (1-based). Default is 1.
int321 <= value <= 2147483647Number of items per page. Default is 10. Maximum is 50.
int321 <= value <= 50Sort direction: "asc" or "desc". Default is "asc" (optional)
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/reports"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9", "name": "string", "description": "string", "type": "string", "isIteration": true, "emailEmbedment": true, "emailAttachment": true, "outputFormats": [ "string" ], "format": "string" } ], "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}